=== debian/changelog ===
pyshacl (0.30.1-2) unstable; urgency=medium

  * Remove article from description
  * Add d/gbp.conf

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 17 Nov 2025 16:46:22 +0100

pyshacl (0.30.1-1) unstable; urgency=medium

  * Initial release. (Closes: #919441)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 13 Sep 2025 23:50:09 -0300
