=== debian/control ===
Source: pyshacl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiagorr@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-owlrl,
 python3-packaging,
 python3-poetry-core,
 python3-prettytable,
 python3-pytest,
 python3-rdflib,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/RDFLib/pySHACL
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyshacl
Vcs-Git: https://salsa.debian.org/python-team/packages/pyshacl.git

Package: python3-pyshacl
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: SHACL validator (Python 3)
 This is a pure Python module which allows for the validation of RDF graphs
 against Shapes Constraint Language (SHACL) graphs. This module uses the rdflib
 Python library for working with RDF and is dependent on the OWL-RL Python
 module for OWL2 RL Profile based expansion of data graphs.
 .
 This module is developed to adhere to the SHACL Recommendation:
 https://www.w3.org/TR/shacl/
 .
 This package installs the library for Python 3.
