=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyshacl

# See github issues https://github.com/RDFLib/pySHACL/issues/290
# to #295

export PYBUILD_TEST_ARGS=\
--ignore=test/test_js/conftest.py \
--ignore=test/test_js/test_js_constraint.py \
--ignore=test/issues/test_154.py \
--ignore=test/test_js/test_js_constraint_component.py \
--ignore=test/test_js/test_js_constraint_path_component.py \
--ignore=test/test_js/test_js_function.py \
--ignore=test/test_js/test_js_rules.py \
--ignore=test/test_js/test_js_target.py \
--ignore=test/test_js/test_js_target_type.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# work-around package-contains-ancient-file
	touch CHANGELOG.md
